CK_EPOCH_END(3)

NAME
ck_epoch_end - end epoch-protected segment of execution

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_epoch.h>
void
ck_epoch_end(ck_epoch_record_t *record, ck_epoch_section_t *section);

DESCRIPTION
The ck_epoch_end(3) function will mark the end of an epoch-protected code section. section must point to a section object initialized previously with ck_epoch_begin(3).

RETURN VALUES
This function has no return value.

ERRORS
The object pointed to by record must have been previously registered via ck_epoch_register(3).

SEE ALSO
ck_epoch_init(3), ck_epoch_register(3), ck_epoch_unregister(3), ck_epoch_recycle(3), ck_epoch_poll(3), ck_epoch_synchronize(3), ck_epoch_reclaim(3), ck_epoch_barrier(3), ck_epoch_call(3), ck_epoch_begin(3)

Additional information available at http://concurrencykit.org/